ServerEvents.tags('item', event => {
    event.add('forge:rods', 'kubejs:stone_stick')
    
    event.add('kubejs:flint_tool', 'kubejs:flint_axe')
    event.add('kubejs:flint_tool', 'kubejs:flint_pickaxe')
    event.add('kubejs:flint_tool', 'kubejs:flint_shovel') 
    event.add('kubejs:flint_tool', 'kubejs:flint_hoe') 
    event.add('kubejs:flint_tool', 'kubejs:flint_sword') 
    event.add('kubejs:flint_tool', 'kubejs:flint_shears') 
    event.add('kubejs:flint_tool', 'farmersdelight:flint_knife') 

    event.add('botania:manasteel_ingot_trans', 'megacells:sky_steel_ingot') 
    event.add('botania:manasteel_ingot_trans', 'thermal:steel_ingot') 
    event.add('botania:manasteel_ingot_trans', 'thermal:invar_ingot') 
    event.add('botania:manasteel_ingot_trans', 'thermal_extra:dragonsteel_ingot')

    event.add('botania:manasteel_block_trans', 'megacells:sky_steel_block')
    event.add('botania:manasteel_block_trans', 'thermal:steel_block')
    event.add('botania:manasteel_block_trans', 'thermal:invar_block')
    event.add('botania:manasteel_block_trans', 'thermal_extra:dragonsteel_block')
    
    event.add('ars_nouveau:sourcelink', 'ars_nouveau:agronomic_sourcelink')
    event.add('ars_nouveau:sourcelink', 'ars_nouveau:volcanic_sourcelink')
    event.add('ars_nouveau:sourcelink', 'ars_nouveau:alchemical_sourcelink')
    event.add('ars_nouveau:sourcelink', 'ars_nouveau:vitalic_sourcelink')
    event.add('ars_nouveau:sourcelink', 'ars_nouveau:mycelial_sourcelink')
    event.add('ars_nouveau:sourcelink', 'starbunclemania:fluid_sourcelink')
    
    event.add('minecraft:axes', 'kubejs:flint_axe')
    event.add('minecraft:pickaxes', 'kubejs:flint_pickaxe')
    event.add('minecraft:shovels', 'kubejs:flint_shovel')
    event.add('minecraft:hoes', 'kubejs:flint_hoe')
    event.add('minecraft:swords', 'kubejs:flint_sword')

    event.add('forge:oil_bucket', 'thermal:crude_oil_bucket')
    event.add('forge:oil_bucket', 'immersivepetroleum:crudeoil_bucket')
    
    event.add('ars_nouveau:archwood_sapling', 'ars_nouveau:blue_archwood_sapling')
    event.add('ars_nouveau:archwood_sapling', 'ars_nouveau:red_archwood_sapling')
    event.add('ars_nouveau:archwood_sapling', 'ars_nouveau:purple_archwood_sapling')
    event.add('ars_nouveau:archwood_sapling', 'ars_nouveau:green_archwood_sapling')
    event.add('ars_nouveau:archwood_sapling', 'ars_elemental:yellow_archwood_sapling')
    
    event.add('forge:dusts', 'ars_technica:quartz_dust')
    event.add('forge:dusts/quartz', 'ars_technica:quartz_dust')

    event.add('exnihilosequentia:sea_water_bucket', 'exnihilosequentia:sea_water_bucket')
    event.add('exnihilosequentia:sea_water_bucket', 'mekanismelements:seawater_bucket')
    
    event.removeAll('apotheosis:boon_drops')
    
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_green')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_aqua')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_black')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_blue')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_brown')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_cyan')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_dark_red')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_gray')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_light_blue')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_yellow')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_white')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_red')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_purple')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_pink')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_orange')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_magenta')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_lime')
    event.add('mekanismelements:concrete', 'mekanismelements:clump_high_quality_concrete_light_gray')
    
    event.add('ae2:spatial_storage_cell', 'ae2:spatial_storage_cell_128')
    event.add('ae2:spatial_storage_cell', 'ae2:spatial_storage_cell_16')
    event.add('ae2:spatial_storage_cell', 'ae2:spatial_storage_cell_2')
})//